# Uses of Interface
org.eclipse.birt.core.template.Node

Packages that use Node
Package
Description
org.eclipse.birt.core.template

## Uses of Node in org.eclipse.birt.core.template

Classes in org.eclipse.birt.core.template that implement Node
Modifier and Type
Class
Description
`class`
`ASTAttribute`
`class`
`ASTEbody_content`
`class`
`ASTImage`
`class`
`ASTTemplate`
`class`
`ASTText`
`class`
`ASTValueOf`
`class`
`ASTViewTimeValueOf`
`class`
`SimpleNode`
Fields in org.eclipse.birt.core.template declared as Node
Modifier and Type
Field
Description
`protected Node[]`
SimpleNode.`children`
`protected Node`
SimpleNode.`parent`
Methods in org.eclipse.birt.core.template that return Node
Modifier and Type
Method
Description
`Node`
Node.`jjtGetChild(int i)`
This method returns a child node.
`Node`
SimpleNode.`jjtGetChild(int i)`
`Node`
Node.`jjtGetParent()`
`Node`
SimpleNode.`jjtGetParent()`
`Node`
JJTParserState.`peekNode()`
`Node`
JJTParserState.`popNode()`
`Node`
JJTParserState.`rootNode()`
Methods in org.eclipse.birt.core.template with parameters of type Node
Modifier and Type
Method
Description
`void`
JJTParserState.`clearNodeScope(Node n)`
`void`
JJTParserState.`closeNodeScope(Node n, boolean condition)`
`void`
JJTParserState.`closeNodeScope(Node n, int num)`
`void`
Node.`jjtAddChild(Node n, int i)`
This method tells the node to add its argument to the node's list of children.
`void`
SimpleNode.`jjtAddChild(Node n, int i)`
`void`
Node.`jjtSetParent(Node n)`
This pair of methods are used to inform the node of its parent.
`void`
SimpleNode.`jjtSetParent(Node n)`
`void`
JJTParserState.`openNodeScope(Node n)`
`void`
JJTParserState.`pushNode(Node n)`